LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
mutex.hxx File Reference
`#include "osl/mutex.h"`
`#include <cassert>`

Go to the source code of this file.

## Classes
class | osl::Mutex
| A mutual exclusion synchronization object. More...
class | osl::Guard< T >
| Object lifetime scoped mutex object or interface lock. More...
class | osl::ClearableGuard< T >
| Object lifetime scoped mutex object or interface lock with unlock. More...
class | osl::ResettableGuard< T >
| Template for temporary releasable mutex objects and interfaces locks. More...

## Namespaces
namespace | osl

## Typedefs
typedef Guard< Mutex > | osl::MutexGuard
typedef ClearableGuard< Mutex > | osl::ClearableMutexGuard
typedef ResettableGuard< Mutex > | osl::ResettableMutexGuard